open/close

Supported browsers and operation systems update

We take IT security very seriously in DSV, and some older browsers and operating systems no longer meet our strict requirements.

Please make sure the browser version you use to access myDSV is one of the following, or newer:

  • Chrome 30/Win 7
  • Chrome 34/OS X
  • Edge 12/Win 10
  • Firefox 27/Win 8
  • IE11/Win 7
  • Safari 7/OS X 10.9

From 1st August, it will no longer be possible to use an older browser for myDSV.

If you're unsure of what browser and operating system that your using, please contact your own local IT department.

Best regards, 

myDSV team

THIS SITE USES COOKIES By continuing to browse this website you are agreeing to our use of cookies. Close